# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Mon May 15 19:51:51 2023
# ------------------------------------------------

package:
  name: anise_basil
  version: 1.2.0
source:
  - folder: lemon
    git_rev: 8785a8ccaca992fa9b3baf21e837e888d696a219
    sha256: bb1606b65282c2fcdcd5f49df380cf12a448fd47337c629badfd2b74eb60e5ad
    url: https://github.com/holtgrewe/lemon-mirror/archive/8785a8ccaca992fa9b3baf21e837e888d696a219.tar.gz
  - folder: seqan
    sha256: b0eb92aee26a87dada958f8130eb017e5ab41c72dca4c2b8fc4de1af52f6e92c
    url: https://github.com/seqan/seqan/archive/seqan-v2.0.1.tar.gz
  - sha256: 05e727da4b6b4716aa6505a527947738302b3334625de20e0cbd4b604b528a01
    url: https://github.com/seqan/anise_basil/archive/v1.2.0.tar.gz
build:
  number: '6'
  string: py38h529b8a6_6
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_13
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2023.5.7 hbcca054_0
    - cmake 3.26.3 h077f3f9_0
    - expat 2.5.0 hcb278e6_1
    - gcc_impl_linux-64 12.2.0 hcc96c02_19
    - gcc_linux-64 12.2.0 h4798a0e_13
    - gxx_impl_linux-64 12.2.0 hcc96c02_19
    - gxx_linux-64 12.2.0 hb41e900_13
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libcurl 8.0.1 h588be90_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-devel_linux-64 12.2.0 h3b97bd3_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnghttp2 1.52.0 h61bc06f_0
    - libsanitizer 12.2.0 h46fd767_19
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-devel_linux-64 12.2.0 h3b97bd3_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - make 4.3 hd18ef5c_1
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 hd590300_3
    - rhash 1.4.3 h166bdaf_0
    - sysroot_linux-64 2.12 he073ed8_15
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - boost-cpp 1.78.0 h6582d0a_3
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2023.5.7 hbcca054_0
    - icu 72.1 hcb278e6_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.41.2 h2797004_1
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 hd590300_3
    - pip 23.1.2 pyhd8ed1ab_0
    - python 3.8.16 he550d4f_1_cpython
    - readline 8.2 h8228510_1
    - setuptools 67.7.2 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.2 h3eb15da_6
  run:
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
test:
  commands:
    - basil --help
    - anise --help
    - filter_basil.py --help
about:
  home: https://github.com/seqan/anise_basil
  license: BSD
  license_file: LICENSE
  summary: BASIL is a method to detect breakpoints for structural variants (including
    insertion breakpoints) from aligned paired HTS reads in BAM format. ANISE is a
    method for the assembly of large insertions from paired reads in BAM format and
    a list candidate insert breakpoints as generated by BASIL.
extra:
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.1093/bioinformatics/btv051
